/**
 * Copyright (c) 2008, European Science Initiative, Tomasz Naumowicz
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 * 
 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 * Neither the name of the Microsoft Research nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#ifndef APPCONFIG_H_
#define APPCONFIG_H_

 /**
  *  Configuration of the System and the Application components
  * 
  * this file will be evaluated first, it will be loaded using the --preinclude switch
  * Put all defines that configure application and libraries into this file.
  *
  * This configuration is automatically injected into the application and all
  * included libraries during the build process.
  * 
  */

// configuration of the real time clock
#define RTC_RESOLUTION_IN_TICKS			1

#ifndef DFS_APPEND_COMMAND
	#define DFS_APPEND_COMMAND			1
#endif

#ifndef DFS_DIR_COMMAND
	#define DFS_DIR_COMMAND				1
#endif

#ifndef DFS_READ_COMMAND
	#define DFS_READ_COMMAND			1
#endif

#ifndef DFS_FILEINFO_COMMAND
	#define DFS_FILEINFO_COMMAND		0
#endif


// configuration of the FAT16 library:
#define FATDEBUGGING						0

#define SD_WRITE							1
#define SD_CACHE							0
#define SD_READ_ANY							0



#endif /*APPCONFIG_H_*/
