 /*
 * Copyright (c) 2008, Freie Universitt Berlin, Tomasz Naumowicz
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 * 
 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 * Neither the name of the Freie Universitt Berlin nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
 
#ifndef DOSFS_HELPERS_H_
#define DOSFS_HELPERS_H_

#ifndef DFS_APPEND_COMMAND
	#define DFS_APPEND_COMMAND			0
#endif

#ifndef DFS_DIR_COMMAND
	#define DFS_DIR_COMMAND				0
#endif

#ifndef DFS_READ_COMMAND
	#define DFS_READ_COMMAND			0
#endif

#ifndef DFS_FILEINFO_COMMAND
	#define DFS_FILEINFO_COMMAND		0
#endif



//===================================================================
// User-supplied functions  --> defined in dosfs.h
//uint32_t DFS_ReadSector(uint8_t unit, uint8_t *buffer, uint32_t sector, uint32_t count);
//uint32_t DFS_WriteSector(uint8_t unit, uint8_t *buffer, uint32_t sector, uint32_t count);

VOLINFO DFS_VolumeInfo;  //VOLINFO structure is all you'll need - you can forget the unit and partition start sector numbers.

uint8_t _fat_buffer[SECTOR_SIZE];

enum dfs_init_result {
	FAT_ERROR_NONE,
	FAT_ERROR_PARTITION,
	FAT_ERROR_VOLUME,
	FAT_ERROR_TYPE,
	FAT_ERROR_READ,
	FAT_STRUCT_PACKING
};

enum dfs_init_result DFS_Init_Result;

void DSF_ToFatDate(uint16_t* date, uint16_t year, uint8_t month, uint8_t day);
void DSF_ToFatTime(uint16_t* time, uint8_t hours, uint8_t minutes, uint8_t seconds);


void DSF_FromFatDate(uint16_t date, uint16_t* year, uint8_t* month, uint8_t* day);
void DSF_FromFatTime(uint16_t time, uint8_t* hours, uint8_t* minutes, uint8_t* seconds);

enum dfs_init_result DFS_Init();

void DFS_UpdateTimestamp(PDIRENT dirent, bool creation, bool access, bool modification);

#endif /*DOSFS_HELPERS_H_*/
